\name{readBead}
\alias{readBead}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Read BeadStudio expression data file }
\description{
 Read BeadStudio expression data file
}
\usage{
readBead(filenames = NULL, annotation = "", verbose = TRUE)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{filenames}{A character filename or vector of filenames corresponding to the Illumina BeadStudio 'gene profile.csv' file }
  \item{annotation}{ A character representing a unique name to give to the analysis }
  \item{verbose}{ Logical, specifying whether a commentary should be provided }
}
\details{
Reads an Illumina 'gene profile.csv' file produced by BeadStudio.  Multiple filenames can be specified as a 
vector and the data are then combined into one output file.  This function should only really be used for custom 
analysis as the beadAnalysis() function provides easier, flexible use.
}
\value{
A \code{\link{beadData-class}} object containing the BeadChip informations (combined if multiple files are submitted)
}

\author{ Gareth Elvidge \email{gareth.elvidge@well.ox.ac.uk}}
\seealso{ See Also as \code{\link{help}} }
\examples{
\dontrun{
data<-readBead ("filename")
}
}
\keyword{methods }% at least one, from doc/KEYWORDS

